%define upstream_name    Class-Fields
%define upstream_version 0.204

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Inspect the fields of a class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Assert)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(base) >= 2.0.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
* _Public member._

  Externally visible data or functionality. An attribute or method that is
  directly accessable from scopes outside the class. In Perl, most members
  are, by their standard semantics, public. By convention, attributes of
  Perl classes are regarded as private, as are methods whose names begin
  with an underscore.

  From *"Object Oriented Perl"* by Damian Conway

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.204.0-9.mga8
+ Revision: 1493537
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.204.0-8.mga7
+ Revision: 1266319
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.204.0-7.mga6
+ Revision: 1023967
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.204.0-6.mga6
+ Revision: 947228
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.204.0-5.mga5
+ Revision: 739726
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.204.0-4.mga5
+ Revision: 683914
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.204.0-3.mga4
+ Revision: 510162
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.204.0-2.mga3
+ Revision: 364363
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.204.0-1.mga1
+ Revision: 52431
- update to 0.204

* Wed Jan 26 2011 jquelin <jquelin> 0.203.0-1.mga1
+ Revision: 40344
- mageia rebuild
- imported package perl-Class-Fields

